---
title: AudioContext()
slug: Web/API/AudioContext/AudioContext
tags:
  - Audio
  - Audio Context
  - Audio Graph
  - AudioContext
  - Constructor
  - Context
  - Media
  - Media Graph
  - Reference
  - Web Audio
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The <strong><code>AudioContext()</code></strong> constructor creates a new {{domxref("AudioContext")}} object which represents an audio-processing graph, built from audio modules linked together, each represented by an {{domxref("AudioNode")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>audioCtx</em> = new AudioContext();
var <em>audioCtx</em> = new AudioContext(<em>options</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>options</code> {{optional_inline}}</dt>
 <dd>An object based on the {{domxref("AudioContextOptions")}} dictionary that contains zero or more optional properties to configure the new context. Available properties are as follows: {{page("/en-US/docs/Web/API/AudioContextOptions", "Properties")}}</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The newly constructed {{domxref("AudioContext")}} instance.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>NotSupportedError</code></dt>
 <dd>The specified <code>sampleRate</code> isn't supported by the context.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The specification doesn't go into a lot of detail about things like how many audio contexts a user agent should support, or minimum or maximum latency requirements (if any), so these details can vary from browser to browser. Be sure to check the values if they matter to you.</p>

<p>In particular, the specification doesn't indicate a maximum or minimum number of audio contexts that must be able to be open at the same time, so this is left up to the browser implementations to decide.</p>

<h3 id="Google_Chrome">Google Chrome</h3>

<h4 id="Per-tab_audio_context_limitation_in_Chrome">Per-tab audio context limitation in Chrome</h4>

<p>Prior to version 66 Google Chrome only supported up to six audio contexts <em>per tab</em> at a time.</p>

<h4 id="Non-standard_exceptions_in_Chrome">Non-standard exceptions in Chrome</h4>

<p>If the value of the {{domxref("AudioContextOptions.latencyHint", "latencyHint")}}  property isn't valid, Chrome throws a <code>TypeError</code> exception with the message "The provided value '...' is not a valid enum value of type AudioContextLatencyCategory".</p>

<h2 id="Example">Example</h2>

<p>This example creates a new {{domxref("AudioContext")}} for interactive audio (optimizing for latency) and a sample rate of 44.1kHz.</p>

<pre class="brush: js">var AudioContext = window.AudioContext || window.webkitAudioContext;

var audioCtx = new AudioContext({
  latencyHint: 'interactive',
  sampleRate: 44100,
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-audiocontext-audiocontext','AudioContext()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioContext.AudioContext")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("OfflineAudioContext.OfflineAudioContext()", "new OfflineAudioContext()")}} constructor</li>
</ul>
